@import "./../../../../../../../styles.scss";

.Contenedor {
  @extend .form-group;
  @extend .col-12;
  @extend .col-lg-4;
}

.Carta {
  @extend .card;
  @extend .shadow-sm;

  &[Borde="primary"] {
    @extend .border-left-primary;
  }

  &[Borde="secondary"] {
    @extend .border-left-secondary;
  }

  &[Borde="success"] {
    @extend .border-left-success;
  }

  &--Cuerpo {
    @extend .card-body;

    &-Fila {
      @extend .row;
      @extend .no-gutters;
      @extend .align-items-center;

      &-Datos {
        @extend .col;
        @extend .mr-2;

        &-Titulo {
          @extend .font-weight-bold;
          @extend .mb-1;

          &[Color="primary"] {
            @extend .text-primary;
          }

          &[Color="secondary"] {
            @extend .text-secondary;
          }

          &[Color="success"] {
            @extend .text-success;
          }
        }

        &-Informacion {
          @extend .h6;
          @extend .mb-0;
          @extend .font-weight-bold;
          @extend .text-gray-800;
        }
      }

      &-Icono {
        @extend .col-auto;

        span {
          @extend .text-gray-300;
        }
      }
    }
  }
}
